# GIT SERVER MAGELANG

Konfigurasi docker-compose untuk menjalankan GIT SERVER MAGELANG.

## Kebutuhan

Server yang telah dikonfigurasi dengan:

* docker
* docker-compose

## Penggunaan

1. clone repository

    ```
    git clone https://git.magelangkota.go.id/radityo/gitea-docker.git
    cd gitea-docker
    ```

2. salin **.env.example** ke **.env** dan ubah sesuai dengan konfigurasi yang diperlukan

3. Buat file **.users** di direktori **traefik** berisi pengguna yang akan diberi akses ke dashboard traefik.

    Untuk membuat pengguna dapat menggunakan program **htpasswd**.

    ```
    htpasswd -c .users <nama pengguna>
    ```

    Sebagai contoh, file **.users.example** berisi pengguna **admin** dengan password **admin**.

4. Jalankan aplikasi dengan **docker-compose**

    ```
    docker-compose up -d
    ```
